Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins
Class DefaultProjectsPluginContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.plugins.DefaultPluginCollection
                  org.gradle.api.internal.plugins.AbstractPluginContainer
                      org.gradle.api.internal.plugins.DefaultProjectsPluginContainer

All Implemented Interfaces:
  ProjectPluginsContainer

    class DefaultProjectsPluginContainer
    extends AbstractPluginContainer

author:
  Hans Dockter

Constructor Summary
`DefaultProjectsPluginContainer(PluginRegistry pluginRegistry)`

Method Summary
`PluginProvider` | `createPluginProvider(Project project)`
`protected java.lang.String` | `getNameForType(java.lang.Class type)`
`Plugin` | `getPlugin(java.lang.String id)`
`Plugin` | `getPlugin(java.lang.Class type)`
`protected java.lang.Class` | `getTypeForId(java.lang.String id)`
`Plugin` | `usePlugin(java.lang.String id, Project project)`
`T` | `usePlugin(java.lang.Class type, Project project)`

Methods inherited from class AbstractPluginContainer
addPlugin, addPlugin, addPluginInternal, findPlugin, findPlugin, getNameForType, getTypeForId, hasPlugin, hasPlugin

Methods inherited from class DefaultPluginCollection
allPlugins, allPlugins, matching, whenPluginAdded, whenPluginAdded, withType

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultProjectsPluginContainer

    public DefaultProjectsPluginContainer(PluginRegistry pluginRegistry)

Method Detail

### createPluginProvider

    public PluginProvider createPluginProvider(Project project)

### getNameForType

    protected java.lang.String getNameForType(java.lang.Class type)

### getPlugin

    public Plugin getPlugin(java.lang.String id)

### getPlugin

    public Plugin getPlugin(java.lang.Class type)

### getTypeForId

    protected java.lang.Class getTypeForId(java.lang.String id)

### usePlugin

    public Plugin usePlugin(java.lang.String id, Project project)

### usePlugin

    public T usePlugin(java.lang.Class type, Project project)

Groovy Documentation